Index: res_agi.c
===================================================================
--- res_agi.c	(revision 304949)
+++ res_agi.c	(arbetskopia)
@@ -592,6 +592,7 @@
 	long sample_offset = 0;
 	long max_length;
 	char *edigits = "";
+	int moh = ast_test_flag(chan, AST_FLAG_MOH);
 
 	if (argc < 4 || argc > 5)
 		return RESULT_SHOWUSAGE;
@@ -630,6 +631,9 @@
 	 * the end of the stream, return that amount, else check for the amount */
 	sample_offset = (chan->stream) ? ast_tellstream(fs) : max_length;
 	ast_stopstream(chan);
+	if (moh) {
+		ast_moh_start(chan, NULL, NULL);
+	}
 	if (res == 1) {
 		/* Stop this command, don't print a result line, as there is a new command */
 		return RESULT_SUCCESS;
